import { AufnahmeClient } from "#components/Ausweis/types.js";
import { AuditType, hidden } from "../audits/hidden.js";

export function auditWohnflaecheGroesserGesamtflaeche(gebaeude: AufnahmeClient ): boolean {
	if (gebaeude.flaeche && gebaeude.nutzflaeche){
        return (gebaeude.flaeche > gebaeude.nutzflaeche && !hidden.has(AuditType.WOHNFLAECHE_GROESSER_GESAMTFLAECHE));
    }

    return false;
}